MACRO BOO(3)

NAME
BOOST_VARIANT_ENUM_SHIFTED_PARAMS - Enumerate all but the first parameter for use with variant.

SYNOPSIS

// In header: <boost/variant/variant_fwd.hpp>
BOOST_VARIANT_ENUM_SHIFTED_PARAMS(param)

DESCRIPTION

Expands to a comma-separated sequence of length BOOST_VARIANT_LIMIT_TYPES - 1, where each element in the sequence consists of the concatenation of param with its one-based index into the sequence. That is, param ## 1, ..., param ## BOOST_VARIANT_LIMIT_TYPES - 1.

Note: This macro results in the same expansion as BOOST_VARIANT_ENUM_PARAMS -- but without the first term.